SDL_DECLSPEC(3)

NAME
SDL_DECLSPEC - A macro to tag a symbol as a public API.

HEADER FILE
Defined in SDL3/SDL_begin_code.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_DECLSPEC __attribute__ ((visibility(default")))

DESCRIPTION
SDL uses this macro for all its public functions. On some targets, it is used to signal to the compiler that this function needs to be exported from a shared library, but it might have other side effects.

This symbol is used in SDL's headers, but apps and other libraries are welcome to use it for their own interfaces as well.

AVAILABILITY
This macro is available since SDL 3.2.0.